# 32/64 spec
#
Name:    googlecl
Version: 0.9.14
Release: %mkrel 1
Summary: GoogleCL brings Google services to the command line
License: Apache License 2.0
URL:     http://code.google.com/p/googlecl/
Group:   Networking/Other
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source: http://googlecl.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRequires: python python-devel
Requires: python
Requires: python-gdata

%description
GoogleCL is a command-line utility that provides access to various Google
services. It streamlines tasks such as posting to a Blogger blog, adding events
to Calendar, or editing documents on Google Docs.

For example:
$ google blogger post --blog "My blog" --tags "python, googlecl" my_post.html 
$ google calendar add "Lunch with Jason tomorrow at noon"
$ google docs edit --title "Shopping list" --editor vim

GoogleCL is a pure Python application that uses the Python gdata libraries to
make Google Data API calls from the command line.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
PYTHONDONTWRITEBYTECODE= python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
mkdir -p %{buildroot}%{_mandir}/man1
install -m0644 man/google.1 %{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt README.config INSTALL.txt 
%{_mandir}/man1/google.1*
%{py_puresitedir}/%{name}*
/usr/bin/google

%changelog
* Sun Sep 08 2013 pinoc <vogtpet at gmail.com> 0.9.14-1pclos2013
- 0.9.14
- 32/64

* Sun Sep 12 2010 Texstar <texstar at gmail.com> 0.9.5-2pclos2010
- Update

* Mon Jun 21 2010 Texstar <texstar at gmail.com> 0.9.5-1pclos2010
- import into pclos 2010

